[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.CMHitTest

Handles the CM_HITTEST control message.

## Declaration

Source position: comctrls.pp line 250

`protected procedure TCustomPage.CMHitTest(`
`var Message: TLMNCHITTEST`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMHitTest checks the type for the Parent control to determine whether the Message is ignored or forwarded to the inherited method. When Parent is a TCustomTabControl descendant, the class instance must be the active page in the parent control. When it is not, the Message result is set to 0 and the message is ignored. Otherwise, the inherited method is called to handle the Message.

## See also

TControl.CMHitTest |  | Handles the CM_HITTEST message for the control.